Create wallets
Creates new wallets within an organization.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Create wallets › Request Body
idempotencyKeyA unique UUID v4 to ensure request idempotency.
blockchainsThe blockchain(s) for which to create wallets.
walletSetIdThe ID of the wallet set to which the wallets will be added.
A list of metadata fields to link with the wallet. Ensure the number of items in this array matches the count value exactly.
countThe number of wallets to create per blockchain.
accountTypeThe type of account to create, default is eoa. Smart Contract Accounts (SCA) are coming soon.
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Create wallets › Responses
Wallets created
successstatusmessageUpdate Wallet Metadata
List Wallets
Returns a list of wallets for the organization or customer.
query Parameters
blockchainThe blockchain identifier.
customerIdsComma separated list of customer IDs
walletSetID of the wallet set
refIdReference ID of the wallet
addressAddress of the wallet
pagelimitorderHeaders
PLANBOK-X-API-KEYAPI key for authentication
List Wallets › Responses
List of wallets
successstatusmessageList Token Balances
Returns the token balances for a specific wallet.
path Parameters
idWallet ID
query Parameters
pagelimitorderHeaders
PLANBOK-X-API-KEYAPI key for authentication
List Token Balances › Responses
Token balances retrieved
successstatusmessageValidate Blockchain Address
Validates if an address is syntactically correct for a specific blockchain.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Validate Blockchain Address › Request Body
blockchainThe blockchain identifier.
addressValidate Blockchain Address › Responses
Address validation result
successstatusmessage